import pygame


def inicializa():
    pygame.init()
    window = pygame.display.set_mode((640, 480), vsync=True, flags=pygame.SCALED)

    assets = {
        # TODO: Carregue o som aqui
    }

    state = {
        'musica_tocando': False,
    }

    return window, assets, state


def desenha(window: pygame.Surface, assets, state):
    window.fill((0, 0, 0))
    pygame.display.update()


def atualiza_estado(state, assets):
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            return False
        elif event.type == pygame.KEYDOWN and event.key == pygame.K_SPACE:
            # TODO: toque o som de tiro aqui (pew.wav) e apague o print abaixo
            print('Apague este print')
    
    # TODO: Verifique se a música já está tocando. Se não estiver, coloque-a para tocar

    return True


if __name__ == '__main__':
    window, assets, state = inicializa()
    while atualiza_estado(state, assets):
        desenha(window, assets, state)
